/*
 * Copyright (c) 2024.
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.antragsraum.attachments;

import java.nio.charset.StandardCharsets;
import java.util.Base64;
import java.util.UUID;
import org.apache.http.entity.ContentType;

class FileTestProperties {
    static final String FILE_ID = UUID.randomUUID().toString();
    static final String VORGANG_ID = UUID.randomUUID().toString();
    static final String CONTENT_TYPE = ContentType.APPLICATION_OCTET_STREAM.toString();
    static final long FILE_SIZE = 10;
    static final String FILE_NAME = "Testfile.pdf";
    static final String CHANNEL_ADDRESS = "static://localhost:9090";
    static final String ENCODED_CHANNEL_ADDRESS = Base64.getEncoder().encodeToString(CHANNEL_ADDRESS.getBytes(
        StandardCharsets.UTF_8));
    static final byte[] DATA = "juhu, ein bild".getBytes();
}