/*
 * Copyright (c) 2023-2024.
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.antragsraum.attachments;

import static de.ozgcloud.antragsraum.attachments.FileTestProperties.CONTENT_TYPE;
import static de.ozgcloud.antragsraum.attachments.FileTestProperties.FILE_ID;
import static de.ozgcloud.antragsraum.attachments.FileTestProperties.FILE_NAME;
import static de.ozgcloud.antragsraum.attachments.FileTestProperties.FILE_SIZE;

import de.ozgcloud.vorgang.grpc.file.GrpcOzgFile;

public class OzgFileTestFactory {
    public static OzgFile createOzgFile() {
        return createOzgFileBuilder().build();
    }

    private static OzgFile.OzgFileBuilder createOzgFileBuilder() {
        return OzgFile.builder()
            .id(FILE_ID)
            .contentType(CONTENT_TYPE)
            .fileSize(FILE_SIZE)
            .fileName(FILE_NAME);
    }

    static GrpcOzgFile createGrpcFile() {
        return createGrpcFileBuilder().build();
    }

    private static GrpcOzgFile.Builder createGrpcFileBuilder() {
        return GrpcOzgFile.newBuilder()
            .setId(FILE_ID)
            .setContentType(CONTENT_TYPE)
            .setSize(FILE_SIZE)
            .setName(FILE_NAME);
    }
}
