/*
 * Copyright (c) 2023-2024.
 * Das Land Schleswig-Holstein vertreten durch den Ministerpräsidenten des Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.antragsraum.attachments;

import static de.ozgcloud.antragsraum.attachments.FileTestProperties.CONTENT_TYPE;
import static de.ozgcloud.antragsraum.attachments.FileTestProperties.DATA;
import static de.ozgcloud.antragsraum.attachments.FileTestProperties.FILE_NAME;
import static de.ozgcloud.antragsraum.attachments.FileTestProperties.VORGANG_ID;

import de.ozgcloud.apilib.file.OzgCloudUploadFile;
import java.io.ByteArrayInputStream;

class OzgUploadFileTestFactory {
    static OzgUploadFile create() {
        return createBuilder().build();
    }

    private static OzgUploadFile.OzgUploadFileBuilder createBuilder() {
        return new OzgUploadFile.OzgUploadFileBuilder()
            .fileData(OzgCloudUploadFile.builder()
                .fileName(FILE_NAME)
                .contentType(CONTENT_TYPE)
                .vorgangId(VORGANG_ID)
                .build())
            .fileContent(new ByteArrayInputStream(DATA));
    }
}
