/*
 * Copyright (c) 2023-2024.
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.antragsraum.events;

import de.ozgcloud.info.InformationServiceGrpc;
import net.devh.boot.grpc.client.autoconfigure.*;
import net.devh.boot.grpc.client.inject.GrpcClient;
import net.devh.boot.grpc.common.autoconfigure.GrpcCommonCodecAutoConfiguration;
import net.devh.boot.grpc.common.autoconfigure.GrpcCommonTraceAutoConfiguration;
import net.devh.boot.grpc.server.autoconfigure.GrpcServerAutoConfiguration;
import net.devh.boot.grpc.server.autoconfigure.GrpcServerFactoryAutoConfiguration;
import org.springframework.boot.autoconfigure.ImportAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@ImportAutoConfiguration({
        GrpcCommonCodecAutoConfiguration.class,
        GrpcCommonTraceAutoConfiguration.class,

        GrpcServerAutoConfiguration.class,
        GrpcServerFactoryAutoConfiguration.class,

        GrpcClientAutoConfiguration.class,
        GrpcClientHealthAutoConfiguration.class,
        GrpcClientMetricAutoConfiguration.class,
        GrpcClientSecurityAutoConfiguration.class,
        GrpcClientTraceAutoConfiguration.class,
        GrpcDiscoveryClientAutoConfiguration.class
})
public class NachrichtEventGrpcTestConfiguration {
    @Bean
    InformationGrpcServiceStub informationServiceGrpcStub() {
        return new InformationGrpcServiceStub();
    }

    @GrpcClient("info-manager")
    InformationServiceGrpc.InformationServiceBlockingStub informationServiceBlockingClient;

    @Bean
    NachrichtEventRemoteService nachrichtEventRemoteService() {
        var nachrichtEventRemoteService = new NachrichtEventRemoteService();
        nachrichtEventRemoteService.informationServiceBlockingClient = informationServiceBlockingClient;
        return nachrichtEventRemoteService;
    }
}
