/*
 * Copyright (c) 2023-2024.
 * Das Land Schleswig-Holstein vertreten durch den Ministerpräsidenten des Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.antragsraum.nachricht;

import java.util.Date;
import java.util.UUID;

public class ReplyNachrichtTestFactory {
	public static final String ID = UUID.randomUUID().toString();
	public static final String ADDRESS = "static://localhost:9091";
	public static final long DATE = new Date().getTime();
	public static final String TEXT = "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam";

	public static ReplyNachricht create() {
		return createBuilder().build();
	}

	public static ReplyNachricht.ReplyNachrichtBuilder createBuilder() {
		return ReplyNachricht.builder()
		  .id(ID)
		  .address(ADDRESS)
		  .postfachId(NachrichtTestFactory.POSTFACH_ID)
		  .address(ADDRESS)
		  .date(DATE)
		  .message(TEXT);
	}
}
